Skip to main content
POST
Choose Fact

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conflict_id
string<uuid>
required

Body

application/json
datasetId
string<uuid>
required

Dataset containing the conflict. Requires write permission.

selectedFactId
string<uuid>
required

Fact id from the conflict's facts list to accept.

reason
string | null

Optional explanation of the decision.

Response

Successful Response

id
string<uuid>
required
datasetId
string<uuid>
required
aboutId
string
required
attribute
string
required
kind
enum<string>
required
Available options:
time_varying,
fixed
status
enum<string>
required
Available options:
resolved,
unresolved
text
string
required
facts
ConflictFact · object[]
resolutionSource
enum<string>
default:review
Available options:
review,
user
selectedFactId
string<uuid> | null
selectedFact
string | null
resolvedBy
string<uuid> | null
resolvedAt
string | null
resolutionReason
string | null
writePending
boolean
default:false